﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SyncfusionMvcApplication23.Models
{
    public class DataInitializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<OrderContext>

    {
        protected override void Seed(OrderContext context)
        {
            var order = new List<OrderTable>
            {
             new OrderTable {OrderID=10001, CustomerID="VINET", EmployeeID=1 },
             new OrderTable {OrderID=10002, CustomerID="VICTE", EmployeeID=2 },
             new OrderTable {OrderID=10003, CustomerID="TOMSP", EmployeeID=3 },
             new OrderTable {OrderID=10004, CustomerID="ALFKI", EmployeeID=4 },
             new OrderTable {OrderID=10005, CustomerID="HANAR", EmployeeID=5 },
            };

            order.ForEach(s => context.OrderTables.Add(s));
            context.SaveChanges();
        }
    }
}
