﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using SyncfusionMvcApplication23.Models;
using System.Data.Entity;
using System.Data.Entity.ModelConfiguration.Conventions;

namespace SyncfusionMvcApplication23.Models
{
    public class OrderContext : DbContext
    {

        public OrderContext() : base("NORTHWNDConnectionString")
        {
        }

        public DbSet<OrderTable> OrderTables { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
        }
    }
}
